## kmailtransport 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(MailTransport)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${MailTransport_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")

set(KF5_VERSION "5.14.0")

set(KMAILTRANSPORT_LIB_VERSION "4.81.0")

set(KMIME_LIB_VERSION "4.83.0")
set(AKONADI_LIB_VERSION "4.81.0")
set(AKONADIMIME_LIB_VERSION "4.81.0")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

ecm_setup_version(${KMAILTRANSPORT_LIB_VERSION} VARIABLE_PREFIX MAILTRANSPORT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES
                             DESCRIPTION "The Cyrus-sasl library"
                             URL "http://www.cyrussasl.org"
                             TYPE OPTIONAL
)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailTransportConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)


install(EXPORT KF5MailTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailTransportTargets.cmake NAMESPACE KF5::)

########### Targets ###########
add_subdirectory(cmake)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===


add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")


set(mailtransport_lib_srcs
  transport.cpp
  transportmanager.cpp
  transporttype.cpp

  transportcombobox.cpp
  transportconfigwidget.cpp

  filteractionjob.cpp
  transportjob.cpp
  resourcesendjob.cpp
  smtpjob.cpp
  precommandjob.cpp

  legacydecrypt.cpp
  socket.cpp
  servertest.cpp

  dispatcherinterface.cpp
  messagequeuejob.cpp
  outboxactions.cpp

  attributeregistrar.cpp
  dispatchmodeattribute.cpp
  errorattribute.cpp
  sentactionattribute.cpp
  sentbehaviourattribute.cpp
  transportattribute.cpp
  transportconfigdialog.cpp
  smtpconfigwidget.cpp

  transportlistview.cpp
  transportmanagementwidget.cpp
  addtransportdialog.cpp
)

ecm_qt_declare_logging_category(mailtransport_lib_srcs HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME log_mailtransport)

ki18n_wrap_ui(mailtransport_lib_srcs
  ui/addtransportdialog.ui
  ui/transportmanagementwidget.ui
  ui/smtpsettings.ui
)

kconfig_add_kcfg_files(mailtransport_lib_srcs transportbase.kcfgc)

add_library(KF5MailTransport ${mailtransport_lib_srcs})

generate_export_header(KF5MailTransport BASE_NAME mailtransport)

add_library(KF5::MailTransport ALIAS KF5MailTransport)


target_include_directories(KF5MailTransport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport;${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/mailtransport>")
target_include_directories(KF5MailTransport PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")


target_link_libraries(KF5MailTransport
PUBLIC
                      KF5::Wallet
                      KF5::AkonadiCore
                      KF5::Mime
                      KF5::AkonadiMime
PRIVATE
                      KF5::I18n 
                      KF5::KIOCore
                      KF5::ConfigGui
                      KF5::WidgetsAddons
                      KF5::CoreAddons
                      KF5::Wallet
                      KF5::ConfigWidgets
                      Qt5::DBus
                      Qt5::Network
)

set_target_properties(KF5MailTransport PROPERTIES
    VERSION ${MAILTRANSPORT_VERSION_STRING}
    SOVERSION ${MAILTRANSPORT_SOVERSION}
    EXPORT_NAME MailTransport
)


if(MAILTRANSPORT_INPROCESS_SMTP)
  target_link_libraries(mailtransport ${Sasl2_LIBRARIES} KF5::PimUtils)
endif()


install(TARGETS KF5MailTransport EXPORT KF5MailTransportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES mailtransport.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_subdirectory(kcm)


ecm_generate_headers(MailTransport_CamelCase_HEADERS
  HEADER_NAMES
  DispatcherInterface
  DispatchModeAttribute
  ErrorAttribute
  MessageQueueJob
  PrecommandJob
  SentBehaviourAttribute
  ServerTest
  Transport
  TransportAttribute
  #TransportBase
  TransportComboBox
  TransportJob
  TransportManagementWidget
  TransportManager
  TransportType
  PREFIX MailTransport
  REQUIRED_HEADERS MailTransport_HEADERS
)

install(FILES
  ${MailTransport_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/MailTransport/ COMPONENT Devel ) 

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h
  ${MailTransport_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h
  sentactionattribute.h

  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/mailtransport COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KF5MailTransport DEPS "Wallet AkonadiCore Mime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## kmailtransport 15.08.2

=== debian/changelog ===
kmailtransport (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:33:42 +0100

kmailtransport (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)
  * Updating symbols

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:07:21 +0100

kmailtransport (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Removing hard coded epoch in control file (libkf5mailtransport5)

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:30:10 +0100

kmailtransport (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:33:56 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libkf5akonadi-dev,
               libkf5akonadimime-dev,
               libkf5configwidgets-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5mime-dev,
               libkf5wallet-dev,
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmailtransport.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmailtransport.git

Package: libkf5mailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadimime-dev,
         libkf5mailtransport5 (= ${binary:Version}),
         libkf5mime-dev,
         libkf5wallet-dev,
         libsasl2-dev,
         ${misc:Depends}
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: libkf5mailtransport5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-config-mailtransport
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: libkf5mailtransport-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: kde-config-mailtransport (= ${binary:Version}) | libkf5mailtransport5 (= ${binary:Version}),
         ${misc:Depends}
Description: mail transport service library - debug symbols
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5mailtransport-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmailtransport 15.12.3

=== debian/changelog ===
kmailtransport (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Fix runtime dep versions -dev. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:33:18 -0700

kmailtransport (15.12.1-1ubuntu3) xenial; urgency=medium

  * Fix versions on runtime deps. 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 10 Mar 2016 23:57:20 +0100

kmailtransport (15.12.1-1ubuntu2) xenial; urgency=medium

  * Add missing epochs to akonadi* build deps.
  * Fix versions on runtime deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 14:48:48 -0800

kmailtransport (15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 
  * Bump build depend version on pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:51:40 +0100

kmailtransport (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:30 +0100

kmailtransport (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Bump the version requirement for akonadi build dep 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:02:56 +0000

kmailtransport (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:25 +0200

kmailtransport (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 19:10:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               libkf5akonadi-dev,
-               libkf5akonadimime-dev,
-               libkf5configwidgets-dev,
-               libkf5kcmutils-dev,
-               libkf5kdelibs4support-dev,
-               libkf5mime-dev,
-               libkf5wallet-dev,
+               extra-cmake-modules (>= 5.14.0~),
+               libkf5akonadi-dev (>= 4:15.12.1~),
+               libkf5akonadimime-dev (>= 4:15.12.1~),
+               libkf5configwidgets-dev (>= 5.14.0~),
+               libkf5kcmutils-dev (>= 5.14.0~),
+               libkf5kdelibs4support-dev (>= 5.12.0~),
+               libkf5mime-dev (>= 15.12.1~),
+               libkf5wallet-dev (>= 5.14.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmailtransport.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmailtransport.git
@@ -26,10 +26,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev,
+Depends: libkf5akonadimime-dev (>= 4:15.12~),
          libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev,
-         libkf5wallet-dev,
+         libkf5mime-dev (>= 15.12~),
+         libkf5wallet-dev (>= 5.14.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files
@@ -93,19 +93,3 @@
  .
  This package also contains a KDE control module which can be embedded
  into your application to provide mail transport configuration.
-
-Package: libkf5mailtransport-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: kde-config-mailtransport (= ${binary:Version}) | libkf5mailtransport5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: mail transport service library - debug symbols
- Mailtransport is a library that provides the following functionality:
- .
-  * Shared mail transport settings.
-  * GUI elements to configure mail transport settings.
-  * Job classes for mail sending.
- .
- This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5mailtransport-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmailtransport-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmailtransport-([\d.]+).tar.xz

## kmailtransport 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(MailTransport)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${MailTransport_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,18 +14,18 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")
 
-set(KF5_VERSION "5.14.0")
+set(KF5_VERSION "5.19.0")
 
-set(KMAILTRANSPORT_LIB_VERSION "4.81.0")
+set(KMAILTRANSPORT_LIB_VERSION "5.2.2")
 
-set(KMIME_LIB_VERSION "4.83.0")
-set(AKONADI_LIB_VERSION "4.81.0")
-set(AKONADIMIME_LIB_VERSION "4.81.0")
+set(KMIME_LIB_VERSION "5.2.0")
+set(AKONADI_LIB_VERSION "5.2.0")
+set(AKONADIMIME_LIB_VERSION "5.2.0")
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")
 
 ecm_setup_version(${KMAILTRANSPORT_LIB_VERSION} VARIABLE_PREFIX MAILTRANSPORT

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
                       KF5::ConfigWidgets
                       Qt5::DBus
                       Qt5::Network
+                      KF5::Completion
 )
 
 set_target_properties(KF5MailTransport PROPERTIES

=== debian/changelog ===
kmailtransport (16.04.2-3) unstable; urgency=medium

  * Bump akonadi-dev build dep.
    Thanks to Santiago Vila for reporting (Closes: 834273)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 20 Oct 2016 11:02:01 +0200

kmailtransport (16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:59:14 +0200

kmailtransport (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 09:37:01 +0200

kmailtransport (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 17:06:44 +0200

kmailtransport (15.12.0-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Feb 2016 07:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,31 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
-               libkf5akonadi-dev (>= 4:15.12.1~),
-               libkf5akonadimime-dev (>= 4:15.12.1~),
-               libkf5configwidgets-dev (>= 5.14.0~),
-               libkf5kcmutils-dev (>= 5.14.0~),
+               extra-cmake-modules (>= 5.19.0~),
+               libkf5akonadi-dev (>= 4:16.04.3-2~),
+               libkf5akonadimime-dev (>= 4:15.12~),
+               libkf5configwidgets-dev (>= 5.19.0~),
+               libkf5kcmutils-dev (>= 5.19.0~),
                libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5mime-dev (>= 15.12.1~),
-               libkf5wallet-dev (>= 5.14.0~),
+               libkf5mime-dev (>= 15.12~),
+               libkf5wallet-dev (>= 5.19.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmailtransport.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmailtransport.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmailtransport.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmailtransport.git
 
 Package: libkf5mailtransport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev (>= 4:15.12~),
+Depends: libkf5akonadimime-dev (>= 5.2.0~),
          libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev (>= 15.12~),
-         libkf5wallet-dev (>= 5.14.0~),
+         libkf5mime-dev (>= 5.2.0~),
+         libkf5wallet-dev (>= 5.19.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mailtransport-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmailtransport 16.04.3

=== debian/changelog ===
kmailtransport (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * bump SO version install file. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,31 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               libkf5akonadi-dev (>= 4:16.04.3-2~),
-               libkf5akonadimime-dev (>= 4:15.12~),
-               libkf5configwidgets-dev (>= 5.19.0~),
-               libkf5kcmutils-dev (>= 5.19.0~),
-               libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5mime-dev (>= 15.12~),
-               libkf5wallet-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5akonadi-dev (>= 4:16.04.3~),
+               libkf5akonadimime-dev (>= 4:16.04.3~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5mime-dev (>= 16.04.3~),
+               libkf5wallet-dev (>= 5.24.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmailtransport.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmailtransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
 
 Package: libkf5mailtransport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev (>= 5.2.0~),
+Depends: libkf5akonadimime-dev (>= 4:16.04.3~),
          libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev (>= 5.2.0~),
-         libkf5wallet-dev (>= 5.19.0~),
+         libkf5mime-dev (>= 16.04.3~),
+         libkf5wallet-dev (>= 5.14.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files

## kmailtransport 17.04.3

=== debian/changelog ===
kmailtransport (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new library package libkf5mailtransportakonadi5, and add
    development files to -dev package
  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5mailtransport5 -> libkf5mailtransport5abi1

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Install usr/share/locale/*/LC_MESSAGES/libmailtransport5.mo by
    libkf5mailtransport-data
  * Install translations by kio-smtp
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:08 +0100

kmailtransport (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5akonadi-dev (>= 4:16.04.3~),
-               libkf5akonadimime-dev (>= 4:16.04.3~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5mime-dev (>= 16.04.3~),
-               libkf5wallet-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5akonadi-dev (>= 4:17.04.3~),
+               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5mime-dev (>= 17.04.3~),
+               libkf5wallet-dev (>= 5.31.0~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -20,16 +20,32 @@
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+
+Package: kio-smtp
+Architecture: any
+Multi-Arch: no
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
+Breaks: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
+Description: mail transport service library
+ Mailtransport is a library that provides the following functionality:
+ .
+  * Shared mail transport settings.
+  * GUI elements to configure mail transport settings.
+  * Job classes for mail sending.
+ .
+ This package contains the smtp kio slave.
 
 Package: libkf5mailtransport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadimime-dev (>= 4:16.04.3~),
-         libkf5mailtransport5 (= ${binary:Version}),
-         libkf5mime-dev (>= 16.04.3~),
-         libkf5wallet-dev (>= 5.14.0~),
+Depends: libkf5akonadimime-dev (>= 4:17.04.3~),
+         libkf5mailtransport5abi1 (= ${binary:Version}),
+         libkf5mailtransportakonadi5 (= ${binary:Version}),
+         libkf5mime-dev (>= 17.04.3~),
+         libkf5wallet-dev (>= 5.31.0~),
          libsasl2-dev,
          ${misc:Depends}
 Description: mail transport service library - development files
@@ -45,8 +61,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
-Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
+Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all}
+Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all}
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
  .
@@ -77,7 +93,9 @@
  This package also contains a KDE control module which can be embedded
  into your application to provide mail transport configuration.
 
-Package: libkf5mailtransport5
+Package: libkf5mailtransport5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5MailTransport
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mailtransport-data (= ${source:Version}),
@@ -93,3 +111,22 @@
  .
  This package also contains a KDE control module which can be embedded
  into your application to provide mail transport configuration.
+
+Package: libkf5mailtransportakonadi5
+Architecture: any
+Multi-Arch: same
+Depends: libkf5mailtransport-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: kde-config-mailtransport
+Description: mail transport service library for akonadi
+ Mailtransport is a library that provides the following functionality:
+ .
+  * Shared mail transport settings.
+  * GUI elements to configure mail transport settings.
+  * Job classes for mail sending.
+ .
+ This library integrates with Akonadi.
+ .
+ This package also contains a KDE control module which can be embedded
+ into your application to provide mail transport configuration.

## kmailtransport 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${MailTransport_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")



set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KMIME_LIB_VERSION "5.7.3")
set(AKONADI_LIB_VERSION "5.7.3")
set(AKONADIMIME_LIB_VERSION "5.7.3")
set(KSMTP_LIB_VERSION "5.7.3")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

########### Find packages ###########
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimSMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES
                             DESCRIPTION "The Cyrus-sasl library"
                             URL "http://www.cyrussasl.org"
                             TYPE OPTIONAL
)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########
add_subdirectory(cmake)
add_subdirectory(src)

install( FILES kmailtransport.renamecategories kmailtransport.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== cmake/CMakeLists.txt ===
install(FILES FindSasl2.cmake DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== src/kmailtransport/plugins/smtp/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(mailtransport_smtpplugin_SRCS
    smtpmailtransportplugin.cpp
    smtpconfigdialog.cpp
    smtpjob.cpp
    smtpconfigwidget.cpp
    )
ki18n_wrap_ui(mailtransport_smtpplugin_SRCS
    smtpsettings.ui
    )
ecm_qt_declare_logging_category(mailtransport_smtpplugin_SRCS HEADER mailtransportplugin_smtp_debug.h IDENTIFIER MAILTRANSPORT_SMTP_LOG CATEGORY_NAME org.kde.pim.mailtransport.smtpplugin)

kcoreaddons_add_plugin(mailtransport_smtpplugin JSON smtpmailtransport.json SOURCES
    ${mailtransport_smtpplugin_SRCS} INSTALL_NAMESPACE mailtransport)

target_link_libraries(mailtransport_smtpplugin
    KF5::MailTransport
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KF5::Completion
    KPim::SMTP
    )

=== debian/changelog ===
kmailtransport (17.12.3-0ubuntu4) bionic; urgency=medium

  * Delete obsolete kio-smtp package.
  * Move /etc/xdg/ files from libkf5mailtransport5abi2 to -data package.
  * Move libmailtransport5.mo file from libkf5mailtransport5abi2 to -data package.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 31 Mar 2018 20:27:52 +0100

kmailtransport (17.12.3-0ubuntu3) bionic; urgency=medium

  * Temporarily enforce lower build dep on ksmtp 17.12.2

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 23:50:31 +0000

kmailtransport (17.12.3-0ubuntu2) bionic; urgency=medium

  * Build dep on ksmtp >= 17.12.2

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 18:14:09 +0000

kmailtransport (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:34 +0000

kmailtransport (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Update install files
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:08 +0000

kmailtransport (17.08.3-0ubuntu3) bionic; urgency=medium

  * Add breaks/replaces for moved translations (LP: #1737344)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Dec 2017 20:55:07 +0000

kmailtransport (17.08.3-0ubuntu2) bionic; urgency=medium

  * Partial sync with debian to match plugin package names and new file
    placement

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 04 Dec 2017 12:36:10 +0000

kmailtransport (17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Add new plugins package and bump ABI of remaining library

  [ Rik Mills ]
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:27 +0000

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.12.3~),
               libkf5akonadimime-dev (>= 4:17.12.3~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 17.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               libkpimsmtp-dev (>= 17.12.2~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~)
Standards-Version: 4.0.1
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all},
 libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all},
 libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~)
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: kmailtransport-akonadi (= ${binary:Version}),
         libkf5akonadimime-dev (>= 4:17.12.3~),
         libkf5mailtransport5abi2 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 17.12.3~),
         libkf5wallet-dev (>= 5.31.0~),
         libsasl2-dev,
         ${misc:Depends}
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailTransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Breaks: kio-smtp (<< 17.11.90~),
        libkf5mailtransport-data (<< 17.08.3~),
        ${kde-l10n:all},
Replaces: kio-smtp (<< 17.11.90~),
          libkf5mailtransport-data (<< 17.08.3~),
          ${kde-l10n:all},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          dbus
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kmailtransport 18.04.3

=== debian/changelog ===
kmailtransport (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:04 +0100

kmailtransport (17.12.3-0ubuntu5) cosmic; urgency=medium

  * debian/patches: Drop kubuntu_lower-ksmtp-dep.patch
    No longer required now ksmtp 17.12.3 is uploaded 

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 12:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimsmtp-dev (>= 17.12.2~),
+               libkpimsmtp-dev (>= 18.04.3~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.7.0~)
+               qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.0.1
 Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
@@ -83,13 +83,13 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:17.12.3~),
+         libkf5akonadimime-dev (>= 4:18.04.3~),
          libkf5mailtransport5abi2 (= ${binary:Version}),
          libkf5mailtransportakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 17.12.3~),
+         libkf5mime-dev (>= 18.04.3~),
          libkf5wallet-dev (>= 5.31.0~),
          libsasl2-dev,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: mail transport service library - development files
  Mailtransport is a library that provides the following functionality:
  .
